# Serialized Form

## Package net.dontdrinkandroot.persistence.entity

### Class net.dontdrinkandroot.persistence.entity.AbstractEntity extends Object implements Serializable

### Class net.dontdrinkandroot.persistence.entity.AbstractGeneratedIdEntity extends AbstractEntity<T> implements Serializable

### Serialized Fields

#### id

    Object id

### Class net.dontdrinkandroot.persistence.entity.AbstractIdEntity extends AbstractEntity<T> implements Serializable

### Serialized Fields

#### id

    Object id

### Class net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity extends AbstractEntity<Long> implements Serializable

### Serialized Fields

#### id

    Long id

### Class net.dontdrinkandroot.persistence.entity.LongIdEntity extends AbstractEntity<Long> implements Serializable

### Serialized Fields

#### id

    Long id

## Package net.dontdrinkandroot.persistence.filter

### Class net.dontdrinkandroot.persistence.filter.AbstractFilter extends Object implements Serializable

### Serialized Fields

#### name

    String name

### Class net.dontdrinkandroot.persistence.filter.NullFilter extends AbstractFilter<T> implements Serializable

### Serialized Fields

#### isNull

    boolean isNull

#### attribute

    javax.persistence.metamodel.SingularAttribute<X,T> attribute

### Class net.dontdrinkandroot.persistence.filter.NumericFilter extends AbstractFilter<T> implements Serializable

### Serialized Fields

#### operator

    NumericOperator operator

#### literal

    Number literal

#### attribute

    javax.persistence.metamodel.SingularAttribute<X,T> attribute